from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XSubToolbarController(XInterface, Protocol):
    def opensSubToolbar(self) -> bool: ...
    def getSubToolbarName(self) -> str: ...
    def functionSelected(self, aCommand: str) -> None: ...
    def updateImage(self) -> None: ...
